Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

-     public class BinaryExpressionHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpressionHelper(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `eval(BinaryExpression expression)`
    `` | `public void` | `evaluateElvisEqual(BinaryExpression expression)`
    `` | `public void` | `evaluateEqual(BinaryExpression expression, boolean defineVariable)`
    `` | `public void` | `evaluatePostfixMethod(PostfixExpression expression)`
    `` | `public void` | `evaluatePrefixMethod(PrefixExpression expression)`
    `` | `public void` | `evaluateTernary(TernaryExpression expression)`
    `` | `public WriterController` | `getController()`
    `` | `public MethodCaller` | `getIsCaseMethod()`
    `` | `public void` | `visit(org.objectweb.asm.MethodVisitor mv)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BinaryExpressionHelper(WriterController wc)

  - ### Method Detail

    - #### public void eval(BinaryExpression expression)

    - #### public void evaluateElvisEqual(BinaryExpression expression)

    - #### public void evaluateEqual(BinaryExpression expression, boolean defineVariable)

    - #### public void evaluatePostfixMethod(PostfixExpression expression)

    - #### public void evaluatePrefixMethod(PrefixExpression expression)

    - #### public void evaluateTernary(TernaryExpression expression)

    - #### public WriterController getController()

    - #### public MethodCaller getIsCaseMethod()

    - #### @Override
      public void visit(org.objectweb.asm.MethodVisitor mv)